//#pragma GCC optimize ("O3")
//#pragma GCC target ("avx")
#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
#define rep(i, n) for(int i = 0; i < (n); i++)
#define rep1(i, n) for(int i = 1; i <= (n); i++)
#define co(x) cout << (x) << "\n"
#define cosp(x) cout << (x) << " "
#define ce(x) cerr << (x) << "\n"
#define cesp(x) cerr << (x) << " "
#define pb push_back
#define mp make_pair
#define chmin(x, y) x = min(x, y)
#define chmax(x, y) x = max(x, y)
#define Would
#define you
#define please
int main() {
	cin.tie(0);
	ios::sync_with_stdio(false);
	int N;
	cin >> N;
	string S;
	cin >> S;
	ll kotae = 0;
	int R = 0, G = 0, B = 0;
	rep(i, N) {
		if (S[i] == 'R') R++;
		if (S[i] == 'G') G++;
		if (S[i] == 'B') B++;
	}
	kotae = ll(R) * G * B;
	rep1(d, N) {
		rep(i, N) {
			if (i + d + d >= N) break;
			int a = i;
			int b = i + d;
			int c = i + d + d;
			if (S[a] != S[b] && S[b] != S[c] && S[a] != S[c]) kotae--;
		}
	}
	co(kotae);
	Would you please return 0;
}